//
// Copyright (C) 2015 The Android Open Source Project
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//      http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//

#ifndef UPDATE_ENGINE_WEAVE_SERVICE_FACTORY_H_
#define UPDATE_ENGINE_WEAVE_SERVICE_FACTORY_H_

#include <memory>

#include <base/memory/ref_counted.h>

#include "update_engine/weave_service_interface.h"

namespace chromeos_update_engine {

// Create a new WeaveServiceInterface instance. In case of error or when weaved
// is disabled, returns an empty pointer.
std::unique_ptr<WeaveServiceInterface> ConstructWeaveService(
    WeaveServiceInterface::DelegateInterface* delegate);

}  // namespace chromeos_update_engine

#endif  // UPDATE_ENGINE_WEAVE_SERVICE_FACTORY_H_
